0 Replies Latest reply on Nov 1, 2010 8:50 PM by CoachSteiner

    ACR and Mac

    CoachSteiner

      Have Adobe Photoshop CS5 and having a problem installing the new RC of ACR 6.3 so I can use my Nikon D7000. Error says "Update is not applicable".

       

      Any help?